import pygame
import player
import helicopter
import background
import tilemap
import sys

def start():
    pygame.init()
    win = pygame.display.set_mode((800, 800))
    player1 = player.Player(0, 0)
    enemy = helicopter.Helicopter(5, 5)
    Erzmine = background.Erz()
    Tanken = background.Tank()
    Ziele = background.Ziel()

    tile_set = pygame.image.load("resources/roads2W.png").convert_alpha()

    # Farben
    white = (255, 255, 255)
    blue = (0, 0, 255)


    while True:
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                pygame.quit()
                sys.exit()
            if event.type == pygame.MOUSEBUTTONDOWN:
                player1.dest(pygame.mouse.get_pos())

        # Hintergrundfarbe
        win.fill(white)
        tile = tilemap.tilemap()
        # Tilemap
        tile_size = tile.tilesize
        # Schleife durch das Tilemap-Array
        for y in range(len(tile.map_array)):
            for x in range(len(tile.map_array[y])):
                # Überprüfen, ob der Wert in der aktuellen Zelle gleich 0 ist
                if tile.map_array[y][x] == 0:
                    win.blit(tile.road_quer, (x * tile_size, y * tile_size))
                if tile.map_array[y][x] == 1:
                    win.blit(tile.road_senkrecht, (x * tile_size, y * tile_size))
                if tile.map_array[y][x] == 2:
                    win.blit(tile.road_btr, (x * tile_size, y * tile_size))
                if tile.map_array[y][x] == 3:
                    win.blit(tile.road_tbr, (x * tile_size, y * tile_size))

        font = pygame.font.SysFont(None, 24)
        tank_label = font.render('Tank: ' + str(round(player1.Tank, 2)), True, white)
        win.blit(tank_label, (20, 20))

        # debug ausgabe
        # ---------------------------
        # debug_selfrect = font.render('self centerx: ' + str(player1.rect.centerx) + ' self centery: ' + str(player1.rect.centery), True, white)
        # win.blit(debug_selfrect, (20, 40))

        # debug_selfrect = font.render('dest x: ' + str(player1.dest_x) + ' dest y: ' + str(player1.dest_y), True, white)
        # win.blit(debug_selfrect, (20, 60))
        # ---------------------------

        Erzmine.update()
        Erzmine.draw(win)

        Tanken.update()
        Tanken.draw(win)

        Ziele.update()
        Ziele.draw(win)

        player1.update()
        player1.draw(win)

        enemy.update(player1)
        enemy.dest((player1.rect.centerx,player1.rect.centery))
        enemy.draw(win)

        pygame.display.update()
